
export const fetchUser = async (user) => {
    try {
        const response = await fetch(`https://api.github.com/users/${user}`, {
            method: 'GET',
            headers: {
                'Content-Type': 'application/json',
            }
        });

        console.log(response);

        if (!response.ok) {
            throw new Error
            (`Response has: ${response.status}, with message ${response.statusText}`);
        }

        const data = await response.json();
        console.log(data);

        return data;
    } catch (error) {
        throw new Error(`Unable to handle error: ${error}`);
    }
};